class RequestTask {
  String? title;
  String? detail;
  String? deadline;
  int? userAssignedId;
  int? cropId;

  RequestTask({
    this.title,
    this.detail,
    this.deadline,
    this.userAssignedId,
    this.cropId,
  });

  RequestTask.fromJson(Map<String, dynamic> json) {
    title = json['title'];
    detail = json['detail'];
    deadline = json['deadline'];
    userAssignedId = json['user_assigned_id'];
    cropId = json['crop_id'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['title'] = this.title;
    data['detail'] = this.detail;
    data['deadline'] = this.deadline;
    data['user_assigned_id'] = this.userAssignedId;
    data['crop_id'] = this.cropId;
    return data;
  }
}
